## org.eclipse.datatools.modelbase.sql.tables
Interface BaseTable

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, Table

All Known Subinterfaces:
  PersistentTable, SybaseASABaseProxyTable, SybaseASABaseTable, SybaseASABaseTempTable, SybaseASATable, SybaseASATempTable, SybaseASEBaseTable, SybaseASEProxyTable, SybaseASETable, SybaseASETempTable, SybaseASEWebServiceTable, SybaseBaseTable, TemporaryTable

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl, JDBCTable, JDBCTemporaryTable, MySqlCatalogTable, org.eclipse.datatools.modelbase.sql.tables.impl.PersistentTableImpl, SybaseASABaseProxyTableImpl, SybaseASABaseTableImpl, SybaseASABaseTempTableImpl, SybaseASACatalogBaseProxyTable, SybaseASACatalogBaseTempTable, SybaseASACatalogTable, SybaseASACatalogTempTable, SybaseASATableImpl, SybaseASATempTableImpl, SybaseASEBaseTableImpl, SybaseASECatalogProxyTable, SybaseASECatalogTable, SybaseASECatalogTempTable, SybaseASECatalogWebServiceTable, SybaseASEProxyTableImpl, SybaseASETableImpl, SybaseASETempTableImpl, SybaseASEWebServiceTableImpl, SybaseBaseTableImpl, org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl

    public interface BaseTable

extends Table

A representation of the model object 'Base Table'. Reference: 5WD-02-Foundation-2002-12 4.14 Tables

The following features are supported:

- `Constraints`
- `Referencing Foreign Keys`

See Also:
  `SQLTablesPackage.getBaseTable()`

Method Summary
`org.eclipse.emf.common.util.EList` `getConstraints()` Returns the value of the 'Constraints' containment reference list.
`java.util.List` `getForeignKeys()`
`PrimaryKey` `getPrimaryKey()`
`org.eclipse.emf.common.util.EList` `getReferencingForeignKeys()` Returns the value of the 'Referencing Foreign Keys' reference list.
`java.util.List` `getUniqueConstraints()`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getConstraints

    org.eclipse.emf.common.util.EList getConstraints()

  Returns the value of the 'Constraints' containment reference list. The list contents are of type `TableConstraint`. It is bidirectional and its opposite is '`Base Table`'.

  If the meaning of the 'Constraints' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Constraints' containment reference list.
  See Also:
    `SQLTablesPackage.getBaseTable_Constraints()`, `TableConstraint.getBaseTable()`

### getReferencingForeignKeys

    org.eclipse.emf.common.util.EList getReferencingForeignKeys()

  Returns the value of the 'Referencing Foreign Keys' reference list. The list contents are of type `ForeignKey`. It is bidirectional and its opposite is '`Referenced Table`'.

  If the meaning of the 'Referencing Foreign Keys' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referencing Foreign Keys' reference list.
  See Also:
    `SQLTablesPackage.getBaseTable_ReferencingForeignKeys()`, `ForeignKey.getReferencedTable()`

### getUniqueConstraints

    java.util.List getUniqueConstraints()

### getForeignKeys

    java.util.List getForeignKeys()

### getPrimaryKey

    PrimaryKey getPrimaryKey()